IBExWalletAPI

Address Book

Unified contacts for the authenticated user (SEPA IBAN + crypto recipients).

GET
/v1.2/users/me/addressbook

Authorization

AuthorizationRequiredBearer <token>

In: header

curl -X GET "https://passkeys-testnet.ibex.fi/v1.2/users/me/addressbook" \
  -H "Authorization: Bearer <token>"

Default Response

POST
/v1.2/users/me/addressbook

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired
nameRequiredstring
labelstring
userValidatedboolean
Default: true
ibanstring
respondingPspBicstring
remittanceInfostring
cryptoarray<object>
curl -X POST "https://passkeys-testnet.ibex.fi/v1.2/users/me/addressbook" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "label": "string",
    "userValidated": true,
    "iban": "string",
    "respondingPspBic": "string",
    "remittanceInfo": "string",
    "crypto": [
      {
        "chainId": 0,
        "address": "string"
      }
    ]
  }'

Default Response

PUT
/v1.2/users/me/addressbook/{id}

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonOptional
namestring
labelstring
userValidatedboolean

Path Parameters

idRequiredstring

Entry UUID

Pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$"
curl -X PUT "https://passkeys-testnet.ibex.fi/v1.2/users/me/addressbook/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "label": "string",
    "userValidated": true
  }'

Default Response

DELETE
/v1.2/users/me/addressbook/{id}

Authorization

AuthorizationRequiredBearer <token>

In: header

Path Parameters

idRequiredstring

Entry UUID

Pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$"
curl -X DELETE "https://passkeys-testnet.ibex.fi/v1.2/users/me/addressbook/<string>" \
  -H "Authorization: Bearer <token>"

Default Response

POST
/v1.2/users/me/addressbook/{id}/crypto

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired
chainIdRequirednumber
addressRequiredstring

Path Parameters

idRequiredstring

Entry UUID

Pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$"
curl -X POST "https://passkeys-testnet.ibex.fi/v1.2/users/me/addressbook/<string>/crypto" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "chainId": 0,
    "address": "string"
  }'

Default Response

DELETE
/v1.2/users/me/addressbook/{id}/crypto/{chainId}/{address}

Authorization

AuthorizationRequiredBearer <token>

In: header

Path Parameters

idRequiredstring

Entry UUID

Pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$"
chainIdRequiredstring

Numeric chain id

addressRequiredstring
curl -X DELETE "https://passkeys-testnet.ibex.fi/v1.2/users/me/addressbook/<string>/crypto/<string>/<string>" \
  -H "Authorization: Bearer <token>"

Default Response

DELETE
/v1.2/users/me/addressbook/{id}/ibans/{iban}

Authorization

AuthorizationRequiredBearer <token>

In: header

Path Parameters

idRequiredstring

Entry UUID

Pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$"
ibanRequiredstring
curl -X DELETE "https://passkeys-testnet.ibex.fi/v1.2/users/me/addressbook/<string>/ibans/<string>" \
  -H "Authorization: Bearer <token>"

Default Response